Package jakarta.security.auth.message.config

## Interface ClientAuthConfig

All Superinterfaces:
  `AuthConfig`

    public interface ClientAuthConfig
    extends AuthConfig

### Method Summary

All Methods Instance Methods Abstract Methods
`ClientAuthContext` `getAuthContext​(java.lang.String authContextID, javax.security.auth.Subject clientSubject, java.util.Map<java.lang.String,​java.lang.Object> properties)`

### Methods inherited from interface jakarta.security.auth.message.config.AuthConfig

`getAppContext, getAuthContextID, getMessageLayer, isProtected, refresh`

### Method Detail

#### getAuthContext

    ClientAuthContext getAuthContext​(java.lang.String authContextID,
                                     javax.security.auth.Subject clientSubject,
                                     java.util.Map<java.lang.String,​java.lang.Object> properties)
                              throws AuthException

Throws:
  `AuthException`